Package org.eclipse.mat.impl.chart

# Class ChartBuilder

java.lang.Object
org.eclipse.mat.impl.chart.ChartBuilder

public class ChartBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`ChartBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static final org.eclipse.birt.chart.model.Chart`
`create(IResultPie pie, boolean isInteractive, org.eclipse.birt.chart.model.attribute.ColorDefinition background, org.eclipse.birt.chart.model.attribute.ColorDefinition foreground)`
`static final String`
`withPrefix(int index, String label)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartBuilder

public ChartBuilder()

## Method Details

### create

public static final org.eclipse.birt.chart.model.Chart create(IResultPie pie, boolean isInteractive, org.eclipse.birt.chart.model.attribute.ColorDefinition background, org.eclipse.birt.chart.model.attribute.ColorDefinition foreground)

### withPrefix

public static final String withPrefix(int index, String label)